## org.eclipse.amp.amf.sd
Interface SdNamedElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  SdAbstractVariable, SdAuxVariable, SdConnector, SdEquationVariable, SdFlowVariable, SdGeneratable, SdModel, SdStockVariable

All Known Implementing Classes:
  SdAbstractVariableImpl, SdAuxVariableImpl, SdConnectorImpl, SdEquationVariableImpl, SdFlowVariableImpl, SdGeneratableImpl, SdModelImpl, SdModelImplGeneratedNot, SdNamedElementImpl, SdStockVariableImpl

    public interface SdNamedElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Named Element'.

The following features are supported:

- `Name`
- `Comment`

See Also:
  `SdPackage.getSdNamedElement()`

Method Summary
`java.lang.String` `getComment()` Returns the value of the 'Comment' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`void` `setComment(java.lang.String value)` Sets the value of the '`Comment`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `SdPackage.getSdNamedElement_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getComment

    java.lang.String getComment()

  Returns the value of the 'Comment' attribute.

  If the meaning of the 'Comment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comment' attribute.
  See Also:
    `setComment(String)`, `SdPackage.getSdNamedElement_Comment()`

### setComment

    void setComment(java.lang.String value)

  Sets the value of the '`Comment`' attribute.

  Parameters:
    `value` - the new value of the 'Comment' attribute.
  See Also:
    `getComment()`